<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright The WildFly Authors
  ~ SPDX-License-Identifier: Apache-2.0
  -->
<module name="org.apache.lucene" xmlns="urn:jboss:module:1.9">

    <properties>
        <!-- Native Lucene access is allowed in WildFly,
             though it may not be supported by product vendors
             (because its APIs could change without prior notice). -->
        <property name="jboss.api" value="public"/>
    </properties>

    <resources>
        <artifact name="org.apache.lucene:lucene-analysis-common:9.9.2"/>
        <artifact name="org.apache.lucene:lucene-core:9.9.2"/>
        <artifact name="org.apache.lucene:lucene-facet:9.9.2"/>
        <artifact name="org.apache.lucene:lucene-queries:9.9.2"/>
        <artifact name="org.apache.lucene:lucene-queryparser:9.9.2"/>
        <artifact name="org.apache.lucene:lucene-join:9.9.2"/>
    </resources>

    <dependencies>
        <module name="java.logging"/>
        <module name="java.xml"/>
        <module name="jdk.management"/>
        <module name="jdk.unsupported"/>
        <module name="com.carrotsearch.hppc"/>
    </dependencies>
</module>
